// src/__tests__/basic.test.js
import fs from 'fs';
import path from 'path';
import { init } from '../app.js';

describe('DCC Viewer Basic Tests', () => {
    beforeEach(() => {
        // Set up a basic DOM container
        document.body.innerHTML = '<div id="app"></div>';
    });

    test('App initializes with example XML without errors', done => {
        const xmlPath = path.join(__dirname, '../../data/sin_acceleration_example_dcc_WithExampleConformatyStatment.xml');
        fs.readFile(xmlPath, 'utf8', (err, xmlStr) => {
            if (err) {
                done(err);
                return;
            }
            expect(() => init(xmlStr, { containerId: 'app', language: 'en' })).not.toThrow();
            // Check that at least one container is populated
            const adminData = document.getElementById('adminData');
            const measurementResults = document.getElementById('measurementResults');
            expect(adminData).toBeTruthy();
            expect(measurementResults).toBeTruthy();
            done();
        });
    });
});
